Method: inventorySources.editInventorySourceReadWriteAccessors

  • This method allows you to edit the read/write accessors for a specific inventory source and returns the updated accessors.

  • The request is made using an HTTP POST to a URL that includes the inventory source ID as a path parameter.

  • The request body contains information about the partner making the change and specifies whether to assign the partner or update a list of advertisers for read/write access.

  • The response body, if successful, contains an instance of InventorySourceAccessors.

  • This method requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Edits read/write accessors of an inventory source. Returns the updated readWriteAccessors for the inventory source.

HTTP request

POST https://displayvideo.googleapis.com/v4/inventorySources/{inventorySourceId}:editInventorySourceReadWriteAccessors

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventorySourceId

string (int64 format)

Required. The ID of inventory source to update.

Request body

The request body contains data with the following structure:

JSON representation
{
  "partnerId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "assignPartner": boolean,
  "advertisersUpdate": {
    object (AdvertisersUpdate)
  }
  // End of mutually exclusive fields.
}
Fields
partnerId

string (int64 format)

Required. The partner context by which the accessors change is being made.

The change to the read/write accessors of the inventory source. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
assignPartner

boolean

Set the partner context as read/write accessor of the inventory source. This will remove all other current read/write advertiser accessors.

advertisersUpdate

object (AdvertisersUpdate)

The advertisers to add or remove from the list of advertisers that have read/write access to the inventory source. This change will remove an existing partner read/write accessor.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of InventorySourceAccessors.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.

AdvertisersUpdate

Update to the list of advertisers with read/write access to the inventory source.

JSON representation
{
  "addedAdvertisers": [
    string
  ],
  "removedAdvertisers": [
    string
  ]
}
Fields
addedAdvertisers[]

string (int64 format)

The advertisers to add.

removedAdvertisers[]

string (int64 format)

The advertisers to remove.